import { HttpClient } from '@angular/common/http';
import { ApolloLink, Observable as LinkObservable, Operation, FetchResult } from 'apollo-link';
import { BatchOptions } from './types';
export declare class HttpBatchLinkHandler extends ApolloLink {
    private httpClient;
    private options;
    batcher: ApolloLink;
    private batchInterval;
    private batchMax;
    constructor(httpClient: HttpClient, options: BatchOptions);
    private createOptions(operations);
    private createBody(operations);
    private createHeaders(operations);
    private createBatchKey(operation);
    request(op: Operation): LinkObservable<FetchResult> | null;
}
export declare class HttpBatchLink {
    private httpClient;
    constructor(httpClient: HttpClient);
    create(options: BatchOptions): HttpBatchLinkHandler;
}
